- [HTTP request](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.request_body)
- [Response body](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#body.aspect_1)
- [Examples](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#examples)
- [Try it!](https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies/create#try-it)

Creates a new policy.

### HTTP request

`POST https://dns.googleapis.com/dns/v1/projects/{project}/policies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Identifies the project addressed by this request. |

### Query parameters

| Parameters ||
|---|---|
| `clientOperationId` | `string` For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies#Policy`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/dns/docs/reference/rest/v1/policies#Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `project` resource:

- `dns.policies.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).